Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://sandbox.soleaspay.com/api/action/card/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-sp-auth-token: <x-sp-auth-token>' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"email": "john@gmail.com",
"country_code": "CM",
"contact": "698479723",
"dob": "2010-01-01",
"is_business": false,
"billing_adress": "kotto",
"billing_city": "DOUALA",
"billing_country": "CAMEROON",
"id_number": "00858574849",
"business_name": "NAN",
"billing_state": "littoral",
"billing_postal_code": "237"
}
'import requests
url = "https://sandbox.soleaspay.com/api/action/card/user"
payload = {
"first_name": "John",
"last_name": "Doe",
"email": "john@gmail.com",
"country_code": "CM",
"contact": "698479723",
"dob": "2010-01-01",
"is_business": False,
"billing_adress": "kotto",
"billing_city": "DOUALA",
"billing_country": "CAMEROON",
"id_number": "00858574849",
"business_name": "NAN",
"billing_state": "littoral",
"billing_postal_code": "237"
}
headers = {
"x-sp-auth-token": "<x-sp-auth-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-sp-auth-token': '<x-sp-auth-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
first_name: 'John',
last_name: 'Doe',
email: 'john@gmail.com',
country_code: 'CM',
contact: '698479723',
dob: '2010-01-01',
is_business: false,
billing_adress: 'kotto',
billing_city: 'DOUALA',
billing_country: 'CAMEROON',
id_number: '00858574849',
business_name: 'NAN',
billing_state: 'littoral',
billing_postal_code: '237'
})
};
fetch('https://sandbox.soleaspay.com/api/action/card/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "SP6VC",
"reference": "USR12345"
}Create a user who can own virtual cards
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"John"
"Doe"
"john@gmail.com"
"CM"
"698479723"
"2010-01-01"
false
"kotto"
"DOUALA"
"CAMEROON"
"00858574849"
"NAN"
"littoral"
"237"
